Subject: Re: bug#50733: 28.0.1; project-find-regexp can block Emacs for a long time

From: Gregory Heytings <[email-masked]>
Date: Tue, 28 Sep 2021 08:23:02 +0000

>> Of course it does.  The most important requirement of any search tool 
>> (regexp or not) is that it must display results that correspond to the 
>> current version of the files.  Even a daemon that watches the tree and 
>> calls mkid in the background when files in the tree have changed isn't 
>> enough, the results will regularly be wrong during N seconds (where N 
>> depends on the size of the tree, for example, on my laptop, 30 for a 1 
>> GB tree).
>
> And you always change your files in significant enough ways with such 
> frequency?  Then yes, IDUtils is probably not for you, too bad.
>

Again I'm not talking about myself.  I only say that a search tool which 
displays wrong results (not even "Try again later") is not the right tool 
for most users.  Nobody would understand that, for example, after a git 
pull, a git checkout, or a git apply, they have to wait "some time" before 
doing a search.